Get all custom profile specifications

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customProfileSpecification

Returns a list of custom profile specifications that match the search criteria.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The list of custom profile specifications was returned successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : CustomProfileSpecificationOracle
Type: object
Title: CustomProfileSpecificationOracle
The custom profile specification resource.
Show Source
Nested Schema : charValueObject
Type: array
A list of char value objects associated with the custom profile specification.
Show Source
Nested Schema : customProfileSpecChar
Type: array
A list of custom profile specification characteristics associated with the custom profile specification.
Show Source
Nested Schema : customProfileSpecRel
Type: array
A list of custom profile specification rels associated with the custom profile specification.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the custom profile specification.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TargetProductSchemaOracle
Type: object
Title: TargetProductSchemaOracle
Match All
Show Source
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : CharValueObjectRefOracle
Type: object
Title: CharValueObjectRefOracle
The Reference of the resource referred in CharValue of custom profile specification.
Show Source
Nested Schema : CustomProfileSpecRel
Type: object
Title: CustomProfileSpecRel
A migration, substitution, dependency or exclusivity relationship between/among custom profile specifications.
Show Source
  • The hyperlink reference to the custom profile specification rel.
  • The ID of the custom profile specification rel.
  • Allowed Values: [ "AGGREGATION", "MIGRATION", "SUBSTITUTION", "DEPENDENCY", "EXCLUSIVITY", "PARENT", "CONDITION", "EXCLUDES", "REQUIRES", "ALLOWED" ]
    The type or classification of the custom profile specification rel. Valid values are AGGREGATION, MIGRATION, SUBSTITUTION, DEPENDENCY, EXCLUSIVITY, PARENT, CONDITION, EXCLUDES, REQUIRES, and ALLOWED.
  • TimePeriodOracle
    Title: TimePeriodOracle
    The validity period of the related party.
  • The version state of the reference.
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source
Nested Schema : TargetProductSchema
Type: object
Title: TargetProductSchema
The reference object to the schema and type of target product which is described by product specification.
Show Source
Nested Schema : TargetProductSchemaOracle-allOf[1]
Type: object
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get all custom profile specifications by submitting a GET request on the REST resource using cURL.

curl -u username:password -X GET \ 
'https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customProfileSpecification/'

Example of Response Body

The following example shows the contents of the response body in JSON format.

[
    {
        "id": "CPS_Suspension_13_1_2025_14_56",
        "name": "CPS_Suspension_13_1_2025_14_56_36",
        "description": "Promotion Profile Spec in Active state.",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customProfileSpecification/CPS_Suspension_13_1_2025_14_56",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "created": "2025-01-13T09:29:55.000Z",
        "createdBy": "booth",
        "lastUpdate": "2025-01-27T07:54:48.162Z",
        "lastUpdatedBy": "booth",
        "@type": "CustomProfileSpecificationOracle",
        "validFor": {
            "startDateTime": "2025-01-13T00:00:00.000Z"
        },
        "project": {
            "id": "I_13_1_2025_14_56_36",
            "name": "I_13_1_2025_14_56_36",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/I_13_1_2025_14_56_36",
            "version": "1.0",
            "@referredType": "ProjectOracle"
        },
        "versionState": 0,
        "profileType": "SUSPENSION_TERM",
        "customProfileSpecChar": [
            {
                "name": "DeviceType",
                "description": "Type of device.",
                "valueType": "STRING",
                "@type": "CustomProfileSpecChar",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2025-01-13T00:00:00.000Z"
                },
                "active": true,
                "customProfileSpecCharValue": [
                    {
                        "value": "Tablet",
                        "valueType": "STRING",
                        "isDefault": false,
                        "@type": "CustomProfileSpecCharValue"
                    },
                    {
                        "value": "Mobile",
                        "valueType": "STRING",
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2025-01-13T00:00:00.000Z"
                        },
                        "@type": "CustomProfileSpecCharValue"
                    }
                ]
            },
            {
                "name": "Family",
                "description": "Family of device.",
                "valueType": "STRING",
                "@type": "CustomProfileSpecChar",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2025-01-13T00:00:00.000Z"
                },
                "active": true,
                "customProfileSpecCharValue": [
                    {
                        "value": "Note",
                        "valueType": "STRING",
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2025-01-13T00:00:00.000Z"
                        },
                        "@type": "CustomProfileSpecCharValue"
                    },
                    {
                        "value": "Galaxy",
                        "valueType": "STRING",
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2025-01-13T00:00:00.000Z"
                        },
                        "@type": "CustomProfileSpecCharValue"
                    }
                ]
            }
        ]
    },
    {
        "id": "ATC_SUSPENSION_TERM_TEMP",
        "name": "PSP Suspension Term template",
        "description": "Suspension Term Template 1",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customProfileSpecification/ATC_SUSPENSION_TERM_TEMP",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "created": "2025-02-19T11:46:55.000Z",
        "createdBy": "booth",
        "lastUpdate": "2025-03-10T09:36:45.220Z",
        "lastUpdatedBy": "booth",
        "@type": "CustomProfileSpecificationOracle",
        "validFor": {
            "startDateTime": "2024-08-09T00:00:00.000Z",
            "endDateTime": "2028-08-09T00:00:00.000Z"
        },
        "isLocked": false,
        "versionState": 0,
        "profileType": "SUSPENSION_TERM",
        "customProfileSpecChar": [
            {
                "name": "Contract Duration",
                "description": "The impact to contract duration due to suspension",
                "valueType": "STRING",
                "@type": "CustomProfileSpecChar",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "active": true,
                "customProfileSpecCharValue": [
                    {
                        "value": "Original Duration",
                        "valueType": "STRING",
                        "isDefault": true,
                        "@type": "CustomProfileSpecCharValue"
                    },
                    {
                        "value": "Extended Duration",
                        "valueType": "STRING",
                        "isDefault": false,
                        "@type": "CustomProfileSpecCharValue"
                    }
                ]
            },
            {
                "name": "Duration",
                "description": "Duration of suspension",
                "valueType": "NUMBER",
                "@type": "CustomProfileSpecChar",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "active": true,
                "allowedUnits": [
                    "DAYS",
                    "MONTHS"
                ]
            },
            {
                "name": "Duration Of Suspension",
                "description": "Define the suspension duration",
                "@type": "CustomProfileSpecChar",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "active": true,
                "customProfileSpecCharRel": [
                    {
                        "id": "ATC_SUSPENSION_TERM_TEMP",
                        "name": "Duration",
                        "relationshipType": "AGGREGATION",
                        "@type": "CustomProfileSpecCharRel",
                        "charSpecSeq": 1
                    },
                    {
                        "id": "ATC_SUSPENSION_TERM_TEMP",
                        "name": "Contract Duration",
                        "relationshipType": "AGGREGATION",
                        "@type": "CustomProfileSpecCharRel",
                        "charSpecSeq": 2
                    },
                    {
                        "id": "ATC_SUSPENSION_TERM_TEMP",
                        "name": "Upgrade Eligibility Duration",
                        "relationshipType": "AGGREGATION",
                        "@type": "CustomProfileSpecCharRel",
                        "charSpecSeq": 3
                    }
                ]
            },
            {
                "name": "Maximum Number Of Bill Suspensions",
                "description": "Number of Bill suspensions allowed",
                "valueType": "NUMBER",
                "@type": "CustomProfileSpecChar",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "active": true
            },
            {
                "name": "Suspend Resume Terms",
                "description": "Terms to resume suspension",
                "valueType": "STRING",
                "@type": "CustomProfileSpecChar",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "active": true,
                "customProfileSpecCharValue": [
                    {
                        "value": "No Suspense",
                        "valueType": "STRING",
                        "isDefault": false,
                        "@type": "CustomProfileSpecCharValue"
                    },
                    {
                        "value": "Suspense At Reduced Rate",
                        "valueType": "STRING",
                        "isDefault": false,
                        "@type": "CustomProfileSpecCharValue"
                    },
                    {
                        "value": "Suspense At Regular Rate",
                        "valueType": "STRING",
                        "isDefault": true,
                        "@type": "CustomProfileSpecCharValue"
                    }
                ]
            },
            {
                "name": "Upgrade Eligibility Duration",
                "description": "The impact to upgrade eligibility duration due to suspension",
                "valueType": "STRING",
                "@type": "CustomProfileSpecChar",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "active": true,
                "customProfileSpecCharValue": [
                    {
                        "value": "Original Contract Duration",
                        "valueType": "STRING",
                        "isDefault": true,
                        "@type": "CustomProfileSpecCharValue"
                    },
                    {
                        "value": "Extended Duration",
                        "valueType": "STRING",
                        "isDefault": false,
                        "@type": "CustomProfileSpecCharValue"
                    }
                ]
            }
        ]
    }
]
Back to Top